be.ehealth.businessconnector.therlink.domain

## Class OperationContext.Builder

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.OperationContext.Builder

- Enclosing class:
    OperationContext

      public static class OperationContext.Builder
      extends Object

  Builder for OperationContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.Builder` | `addProof(Proof proof)`
    `OperationContext` | `build()`
    `OperationContext.Builder` | `withAuthor(Author author)`
    `OperationContext.Builder` | `withOperation(String operation)`
    `OperationContext.Builder` | `withRecordDate(Calendar recordDate)` Deprecated. use withRecordDateTime
    `OperationContext.Builder` | `withRecordDateTime(org.joda.time.DateTime recordDate)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withOperation

          public OperationContext.Builder withOperation(String operation)

    - #### withRecordDate

          @Deprecated
          public OperationContext.Builder withRecordDate(Calendar recordDate)

      Deprecated. use withRecordDateTime
      Parameters:
        `recordDate` -
      Returns:

    - #### withRecordDateTime

          public OperationContext.Builder withRecordDateTime(org.joda.time.DateTime recordDate)

    - #### withAuthor

          public OperationContext.Builder withAuthor(Author author)

    - #### addProof

          public OperationContext.Builder addProof(Proof proof)

    - #### build

          public OperationContext build()

Connector Packaging TRUSSMAKER 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.